diff --git a/lustre/fid/fid_handler.c b/lustre/fid/fid_handler.c
index a762edb..b523ebc 100644
--- a/lustre/fid/fid_handler.c
+++ b/lustre/fid/fid_handler.c
@@ -75,7 +75,7 @@ int seq_server_set_cli(struct lu_server_seq *seq,
          * Ask client for new range, assign that range to ->seq_space and write
          * seq state to backing store should be atomic.
          */
-        cfs_down(&seq->lss_sem);
+        cfs_mutex_lock(&seq->lss_mutex);
 
         if (cli == NULL) {
                 CDEBUG(D_INFO, "%s: Detached sequence client %s\n",
@@ -97,7 +97,7 @@ int seq_server_set_cli(struct lu_server_seq *seq,
         cli->lcs_space.lsr_index = seq->lss_site->ms_node_id;
         EXIT;
 out_up:
-        cfs_up(&seq->lss_sem);
+        cfs_mutex_unlock(&seq->lss_mutex);
         return rc;
 }
 EXPORT_SYMBOL(seq_server_set_cli);
@@ -154,9 +154,9 @@ int seq_server_alloc_super(struct lu_server_seq *seq,
         int rc;
         ENTRY;
 
-        cfs_down(&seq->lss_sem);
+        cfs_mutex_lock(&seq->lss_mutex);
         rc = __seq_server_alloc_super(seq, out, env);
-        cfs_up(&seq->lss_sem);
+        cfs_mutex_unlock(&seq->lss_mutex);
 
         RETURN(rc);
 }
@@ -281,9 +281,9 @@ int seq_server_alloc_meta(struct lu_server_seq *seq,
         int rc;
         ENTRY;
 
-        cfs_down(&seq->lss_sem);
+        cfs_mutex_lock(&seq->lss_mutex);
         rc = __seq_server_alloc_meta(seq, out, env);
-        cfs_up(&seq->lss_sem);
+        cfs_mutex_unlock(&seq->lss_mutex);
 
         RETURN(rc);
 }
@@ -488,7 +488,7 @@ int seq_server_init(struct lu_server_seq *seq,
         range_init(&seq->lss_hiwater_set);
         seq->lss_set_width = LUSTRE_SEQ_BATCH_WIDTH;
 
-        cfs_sema_init(&seq->lss_sem, 1);
+        cfs_mutex_init(&seq->lss_mutex);
 
         seq->lss_width = is_srv ?
                 LUSTRE_SEQ_META_WIDTH : LUSTRE_SEQ_SUPER_WIDTH;
diff --git a/lustre/fid/fid_request.c b/lustre/fid/fid_request.c
index 214f542..627a324 100644
--- a/lustre/fid/fid_request.c
+++ b/lustre/fid/fid_request.c
@@ -149,7 +149,7 @@ int seq_client_alloc_super(struct lu_client_seq *seq,
         int rc;
         ENTRY;
 
-        cfs_down(&seq->lcs_sem);
+        cfs_mutex_lock(&seq->lcs_mutex);
 
 #ifdef __KERNEL__
         if (seq->lcs_srv) {
@@ -163,7 +163,7 @@ int seq_client_alloc_super(struct lu_client_seq *seq,
 #ifdef __KERNEL__
         }
 #endif
-        cfs_up(&seq->lcs_sem);
+        cfs_mutex_unlock(&seq->lcs_mutex);
         RETURN(rc);
 }
 
@@ -226,24 +226,24 @@ static int seq_fid_alloc_prep(struct lu_client_seq *seq,
         if (seq->lcs_update) {
                 cfs_waitq_add(&seq->lcs_waitq, link);
                 cfs_set_current_state(CFS_TASK_UNINT);
-                cfs_up(&seq->lcs_sem);
+                cfs_mutex_unlock(&seq->lcs_mutex);
 
                 cfs_waitq_wait(link, CFS_TASK_UNINT);
 
-                cfs_down(&seq->lcs_sem);
+                cfs_mutex_lock(&seq->lcs_mutex);
                 cfs_waitq_del(&seq->lcs_waitq, link);
                 cfs_set_current_state(CFS_TASK_RUNNING);
                 return -EAGAIN;
         }
         ++seq->lcs_update;
-        cfs_up(&seq->lcs_sem);
+        cfs_mutex_unlock(&seq->lcs_mutex);
         return 0;
 }
 
 static void seq_fid_alloc_fini(struct lu_client_seq *seq)
 {
         LASSERT(seq->lcs_update == 1);
-        cfs_down(&seq->lcs_sem);
+        cfs_mutex_lock(&seq->lcs_mutex);
         --seq->lcs_update;
         cfs_waitq_signal(&seq->lcs_waitq);
 }
@@ -259,7 +259,7 @@ int seq_client_alloc_fid(struct lu_client_seq *seq, struct lu_fid *fid)
         LASSERT(fid != NULL);
 
         cfs_waitlink_init(&link);
-        cfs_down(&seq->lcs_sem);
+        cfs_mutex_lock(&seq->lcs_mutex);
 
         while (1) {
                 seqno_t seqnr;
@@ -281,7 +281,7 @@ int seq_client_alloc_fid(struct lu_client_seq *seq, struct lu_fid *fid)
                         CERROR("%s: Can't allocate new sequence, "
                                "rc %d\n", seq->lcs_name, rc);
                         seq_fid_alloc_fini(seq);
-                        cfs_up(&seq->lcs_sem);
+                        cfs_mutex_unlock(&seq->lcs_mutex);
                         RETURN(rc);
                 }
 
@@ -303,7 +303,7 @@ int seq_client_alloc_fid(struct lu_client_seq *seq, struct lu_fid *fid)
         }
 
         *fid = seq->lcs_fid;
-        cfs_up(&seq->lcs_sem);
+        cfs_mutex_unlock(&seq->lcs_mutex);
 
         CDEBUG(D_INFO, "%s: Allocated FID "DFID"\n", seq->lcs_name,  PFID(fid));
         RETURN(rc);
@@ -320,16 +320,16 @@ void seq_client_flush(struct lu_client_seq *seq)
 
         LASSERT(seq != NULL);
         cfs_waitlink_init(&link);
-        cfs_down(&seq->lcs_sem);
+        cfs_mutex_lock(&seq->lcs_mutex);
 
         while (seq->lcs_update) {
                 cfs_waitq_add(&seq->lcs_waitq, &link);
                 cfs_set_current_state(CFS_TASK_UNINT);
-                cfs_up(&seq->lcs_sem);
+                cfs_mutex_unlock(&seq->lcs_mutex);
 
                 cfs_waitq_wait(&link, CFS_TASK_UNINT);
 
-                cfs_down(&seq->lcs_sem);
+                cfs_mutex_lock(&seq->lcs_mutex);
                 cfs_waitq_del(&seq->lcs_waitq, &link);
                 cfs_set_current_state(CFS_TASK_RUNNING);
         }
@@ -343,7 +343,7 @@ void seq_client_flush(struct lu_client_seq *seq)
         seq->lcs_space.lsr_index = -1;
 
         range_init(&seq->lcs_space);
-        cfs_up(&seq->lcs_sem);
+        cfs_mutex_unlock(&seq->lcs_mutex);
 }
 EXPORT_SYMBOL(seq_client_flush);
 
@@ -418,7 +418,7 @@ int seq_client_init(struct lu_client_seq *seq,
         seq->lcs_exp = exp;
         seq->lcs_srv = srv;
         seq->lcs_type = type;
-        cfs_sema_init(&seq->lcs_sem, 1);
+        cfs_mutex_init(&seq->lcs_mutex);
         seq->lcs_width = LUSTRE_SEQ_MAX_WIDTH;
         cfs_waitq_init(&seq->lcs_waitq);
 
diff --git a/lustre/fid/lproc_fid.c b/lustre/fid/lproc_fid.c
index 633607d..a8aa570 100644
--- a/lustre/fid/lproc_fid.c
+++ b/lustre/fid/lproc_fid.c
@@ -112,7 +112,7 @@ seq_server_proc_write_space(struct file *file, const char *buffer,
 
         LASSERT(seq != NULL);
 
-        cfs_down(&seq->lss_sem);
+        cfs_mutex_lock(&seq->lss_mutex);
 	rc = seq_proc_write_common(file, buffer, count,
                                    data, &seq->lss_space);
 	if (rc == 0) {
@@ -120,7 +120,7 @@ seq_server_proc_write_space(struct file *file, const char *buffer,
                        seq->lss_name, PRANGE(&seq->lss_space));
 	}
 
-        cfs_up(&seq->lss_sem);
+        cfs_mutex_unlock(&seq->lss_mutex);
 
         RETURN(count);
 }
@@ -135,10 +135,10 @@ seq_server_proc_read_space(char *page, char **start, off_t off,
 
         LASSERT(seq != NULL);
 
-        cfs_down(&seq->lss_sem);
+        cfs_mutex_lock(&seq->lss_mutex);
 	rc = seq_proc_read_common(page, start, off, count, eof,
                                   data, &seq->lss_space);
-        cfs_up(&seq->lss_sem);
+        cfs_mutex_unlock(&seq->lss_mutex);
 
 	RETURN(rc);
 }
@@ -181,7 +181,7 @@ seq_server_proc_write_width(struct file *file, const char *buffer,
 
         LASSERT(seq != NULL);
 
-        cfs_down(&seq->lss_sem);
+        cfs_mutex_lock(&seq->lss_mutex);
 
         rc = lprocfs_write_helper(buffer, count, &val);
         if (rc)
@@ -194,7 +194,7 @@ seq_server_proc_write_width(struct file *file, const char *buffer,
                        seq->lss_name, seq->lss_width);
 	}
 
-        cfs_up(&seq->lss_sem);
+        cfs_mutex_unlock(&seq->lss_mutex);
 
         RETURN(count);
 }
@@ -209,9 +209,9 @@ seq_server_proc_read_width(char *page, char **start, off_t off,
 
         LASSERT(seq != NULL);
 
-        cfs_down(&seq->lss_sem);
+        cfs_mutex_lock(&seq->lss_mutex);
         rc = snprintf(page, count, LPU64"\n", seq->lss_width);
-        cfs_up(&seq->lss_sem);
+        cfs_mutex_unlock(&seq->lss_mutex);
 
 	RETURN(rc);
 }
@@ -227,7 +227,7 @@ seq_client_proc_write_space(struct file *file, const char *buffer,
 
         LASSERT(seq != NULL);
 
-        cfs_down(&seq->lcs_sem);
+        cfs_mutex_lock(&seq->lcs_mutex);
 	rc = seq_proc_write_common(file, buffer, count,
                                    data, &seq->lcs_space);
 
@@ -236,7 +236,7 @@ seq_client_proc_write_space(struct file *file, const char *buffer,
                        seq->lcs_name, PRANGE(&seq->lcs_space));
 	}
 
-        cfs_up(&seq->lcs_sem);
+        cfs_mutex_unlock(&seq->lcs_mutex);
 
         RETURN(count);
 }
@@ -251,10 +251,10 @@ seq_client_proc_read_space(char *page, char **start, off_t off,
 
         LASSERT(seq != NULL);
 
-        cfs_down(&seq->lcs_sem);
+        cfs_mutex_lock(&seq->lcs_mutex);
 	rc = seq_proc_read_common(page, start, off, count, eof,
                                   data, &seq->lcs_space);
-        cfs_up(&seq->lcs_sem);
+        cfs_mutex_unlock(&seq->lcs_mutex);
 
 	RETURN(rc);
 }
@@ -269,11 +269,11 @@ seq_client_proc_write_width(struct file *file, const char *buffer,
 
         LASSERT(seq != NULL);
 
-        cfs_down(&seq->lcs_sem);
+        cfs_mutex_lock(&seq->lcs_mutex);
 
         rc = lprocfs_write_helper(buffer, count, &val);
         if (rc) {
-                cfs_up(&seq->lcs_sem);
+                cfs_mutex_unlock(&seq->lcs_mutex);
                 RETURN(rc);
         }
 
@@ -286,7 +286,7 @@ seq_client_proc_write_width(struct file *file, const char *buffer,
                 }
         }
 
-        cfs_up(&seq->lcs_sem);
+        cfs_mutex_unlock(&seq->lcs_mutex);
 
         RETURN(count);
 }
@@ -301,9 +301,9 @@ seq_client_proc_read_width(char *page, char **start, off_t off,
 
         LASSERT(seq != NULL);
 
-        cfs_down(&seq->lcs_sem);
+        cfs_mutex_lock(&seq->lcs_mutex);
         rc = snprintf(page, count, LPU64"\n", seq->lcs_width);
-        cfs_up(&seq->lcs_sem);
+        cfs_mutex_unlock(&seq->lcs_mutex);
 
 	RETURN(rc);
 }
@@ -318,9 +318,9 @@ seq_client_proc_read_fid(char *page, char **start, off_t off,
 
         LASSERT(seq != NULL);
 
-        cfs_down(&seq->lcs_sem);
+        cfs_mutex_lock(&seq->lcs_mutex);
         rc = snprintf(page, count, DFID"\n", PFID(&seq->lcs_fid));
-        cfs_up(&seq->lcs_sem);
+        cfs_mutex_unlock(&seq->lcs_mutex);
 
 	RETURN(rc);
 }
diff --git a/lustre/include/linux/lustre_fsfilt.h b/lustre/include/linux/lustre_fsfilt.h
index b62f219..77fe69a 100644
--- a/lustre/include/linux/lustre_fsfilt.h
+++ b/lustre/include/linux/lustre_fsfilt.h
@@ -110,7 +110,7 @@ struct fsfilt_operations {
         int     (* fs_map_inode_pages)(struct inode *inode, struct page **page,
                                        int pages, unsigned long *blocks,
                                        int *created, int create,
-                                       cfs_semaphore_t *sem);
+                                       cfs_mutex_t *sem);
         int     (* fs_write_record)(struct file *, void *, int size, loff_t *,
                                     int force_sync);
         int     (* fs_read_record)(struct file *, void *, int size, loff_t *);
@@ -472,10 +472,10 @@ static inline int fsfilt_map_inode_pages(struct obd_device *obd,
                                          struct inode *inode,
                                          struct page **page, int pages,
                                          unsigned long *blocks, int *created,
-                                         int create, cfs_semaphore_t *sem)
+                                         int create, cfs_mutex_t *mutex)
 {
         return obd->obd_fsops->fs_map_inode_pages(inode, page, pages, blocks,
-                                                  created, create, sem);
+                                                  created, create, mutex);
 }
 
 static inline int fsfilt_read_record(struct obd_device *obd, struct file *file,
diff --git a/lustre/include/lustre_dlm.h b/lustre/include/lustre_dlm.h
index 91c715c..be7a3dd 100644
--- a/lustre/include/lustre_dlm.h
+++ b/lustre/include/lustre_dlm.h
@@ -270,7 +270,7 @@ static inline int lockmode_compat(ldlm_mode_t exist_mode, ldlm_mode_t new_mode)
  * lr_lock
  *     ns_lock
  *
- * lr_lvb_sem
+ * lr_lvb_mutex
  *     lr_lock
  *
  */
@@ -816,7 +816,7 @@ struct ldlm_resource {
 
         /* Server-side-only lock value block elements */
         /** to serialize lvbo_init */
-        cfs_semaphore_t        lr_lvb_sem;
+        cfs_mutex_t            lr_lvb_mutex;
         __u32                  lr_lvb_len;
         /** protect by lr_lock */
         void                  *lr_lvb_data;
diff --git a/lustre/include/lustre_export.h b/lustre/include/lustre_export.h
index 2e0d95e..db97a7c 100644
--- a/lustre/include/lustre_export.h
+++ b/lustre/include/lustre_export.h
@@ -60,7 +60,7 @@ struct mdt_idmap_table;
  */
 struct tg_export_data {
         /** Protects led_lcd below */
-        cfs_semaphore_t         ted_lcd_lock;
+        cfs_mutex_t             ted_lcd_lock;
         /** Per-client data for each export */
         struct lsd_client_data *ted_lcd;
         /** Offset of record in last_rcvd file */
@@ -79,7 +79,7 @@ struct mdt_export_data {
         cfs_spinlock_t          med_open_lock; /* lock med_open_head, mfd_list*/
         /** Bitmask of all ibit locks this MDT understands */
         __u64                   med_ibits_known;
-        cfs_semaphore_t         med_idmap_sem;
+        cfs_mutex_t             med_idmap_mutex;
         struct lustre_idmap_table *med_idmap;
 };
 
diff --git a/lustre/include/lustre_fid.h b/lustre/include/lustre_fid.h
index adb2671..d07ed92 100644
--- a/lustre/include/lustre_fid.h
+++ b/lustre/include/lustre_fid.h
@@ -132,7 +132,7 @@ struct lu_server_seq;
 struct lu_client_seq {
         /* Sequence-controller export. */
         struct obd_export      *lcs_exp;
-        cfs_semaphore_t         lcs_sem;
+        cfs_mutex_t             lcs_mutex;
 
         /*
          * Range of allowed for allocation sequeces. When using lu_client_seq on
@@ -197,8 +197,8 @@ struct lu_server_seq {
         /* Client interafce to request controller */
         struct lu_client_seq   *lss_cli;
 
-        /* Semaphore for protecting allocation */
-        cfs_semaphore_t         lss_sem;
+        /* Mutex for protecting allocation */
+        cfs_mutex_t             lss_mutex;
 
         /*
          * Service uuid, passed from MDT + seq name to form unique seq name to
diff --git a/lustre/include/lustre_import.h b/lustre/include/lustre_import.h
index 17c36dd..2760433 100644
--- a/lustre/include/lustre_import.h
+++ b/lustre/include/lustre_import.h
@@ -188,7 +188,7 @@ struct obd_import {
          * @{
          */
         struct ptlrpc_sec        *imp_sec;
-        cfs_semaphore_t           imp_sec_mutex;
+        cfs_mutex_t               imp_sec_mutex;
         cfs_time_t                imp_sec_expire;
         /** @} */
 
diff --git a/lustre/include/lustre_lite.h b/lustre/include/lustre_lite.h
index 7fa9937..7d9c3d0 100644
--- a/lustre/include/lustre_lite.h
+++ b/lustre/include/lustre_lite.h
@@ -130,7 +130,7 @@ struct lustre_client_ocd {
          * under ->lco_lock.
          */
         __u64              lco_flags;
-        cfs_semaphore_t    lco_lock;
+        cfs_mutex_t        lco_lock;
         struct obd_export *lco_md_exp;
         struct obd_export *lco_dt_exp;
 };
diff --git a/lustre/include/lustre_log.h b/lustre/include/lustre_log.h
index 54f3f04..f8ee5b9 100644
--- a/lustre/include/lustre_log.h
+++ b/lustre/include/lustre_log.h
@@ -287,7 +287,7 @@ struct llog_ctxt {
         struct llog_handle      *loc_handle;
         struct llog_commit_master *loc_lcm;
         struct llog_canceld_ctxt *loc_llcd;
-        cfs_semaphore_t          loc_sem; /* protects loc_llcd and loc_imp */
+        cfs_mutex_t              loc_mutex; /* protects loc_llcd and loc_imp */
         cfs_atomic_t             loc_refcount;
         void                    *llog_proc_cb;
         long                     loc_flags; /* flags, see above defines */
@@ -455,7 +455,7 @@ static inline void llog_group_init(struct obd_llog_group *olg, int group)
 {
         cfs_waitq_init(&olg->olg_waitq);
         cfs_spin_lock_init(&olg->olg_lock);
-        cfs_sema_init(&olg->olg_cat_processing, 1);
+        cfs_mutex_init(&olg->olg_cat_processing);
         olg->olg_seq = group;
 }
 
diff --git a/lustre/include/lustre_mdc.h b/lustre/include/lustre_mdc.h
index e8883b4..a67756f 100644
--- a/lustre/include/lustre_mdc.h
+++ b/lustre/include/lustre_mdc.h
@@ -74,13 +74,13 @@ struct ptlrpc_request;
 struct obd_device;
 
 struct mdc_rpc_lock {
-        cfs_semaphore_t  rpcl_sem;
+        cfs_mutex_t           rpcl_mutex;
         struct lookup_intent *rpcl_it;
 };
 
 static inline void mdc_init_rpc_lock(struct mdc_rpc_lock *lck)
 {
-        cfs_sema_init(&lck->rpcl_sem, 1);
+        cfs_mutex_init(&lck->rpcl_mutex);
         lck->rpcl_it = NULL;
 }
 
@@ -89,7 +89,7 @@ static inline void mdc_get_rpc_lock(struct mdc_rpc_lock *lck,
 {
         ENTRY;
         if (!it || (it->it_op != IT_GETATTR && it->it_op != IT_LOOKUP)) {
-                cfs_down(&lck->rpcl_sem);
+                cfs_mutex_lock(&lck->rpcl_mutex);
                 LASSERT(lck->rpcl_it == NULL);
                 lck->rpcl_it = it;
         }
@@ -101,7 +101,7 @@ static inline void mdc_put_rpc_lock(struct mdc_rpc_lock *lck,
         if (!it || (it->it_op != IT_GETATTR && it->it_op != IT_LOOKUP)) {
                 LASSERT(it == lck->rpcl_it);
                 lck->rpcl_it = NULL;
-                cfs_up(&lck->rpcl_sem);
+                cfs_mutex_unlock(&lck->rpcl_mutex);
         }
         EXIT;
 }
diff --git a/lustre/include/lustre_quota.h b/lustre/include/lustre_quota.h
index c1941d7..1bef929 100644
--- a/lustre/include/lustre_quota.h
+++ b/lustre/include/lustre_quota.h
@@ -177,7 +177,7 @@ struct lustre_dquot {
         /** Hash list in memory, protect by dquot_hash_lock */
         cfs_list_t dq_hash;
         /** Protect the data in lustre_dquot */
-        cfs_semaphore_t dq_sem;
+        cfs_mutex_t dq_mutex;
         /** Use count */
         cfs_atomic_t dq_refcnt;
         /** Pointer of quota info it belongs to */
diff --git a/lustre/include/obd.h b/lustre/include/obd.h
index f32d5ca..8e3eb1d 100644
--- a/lustre/include/obd.h
+++ b/lustre/include/obd.h
@@ -289,13 +289,13 @@ struct filter_obd {
         cfs_dentry_t        *fo_dentry_O;
         cfs_dentry_t       **fo_dentry_O_groups;
         struct filter_subdirs   *fo_dentry_O_sub;
-        cfs_semaphore_t      fo_init_lock;      /* group initialization lock */
+        cfs_mutex_t          fo_init_lock;      /* group initialization lock */
         int                  fo_committed_group;
 
         cfs_spinlock_t       fo_objidlock;      /* protect fo_lastobjid */
 
         unsigned long        fo_destroys_in_progress;
-        cfs_semaphore_t      fo_create_locks[FILTER_SUBDIR_COUNT];
+        cfs_mutex_t          fo_create_locks[FILTER_SUBDIR_COUNT];
 
         cfs_list_t fo_export_list;
         int                  fo_subdir_count;
@@ -319,7 +319,7 @@ struct filter_obd {
         __u64               *fo_last_objids; /* last created objid for groups,
                                               * protected by fo_objidlock */
 
-        cfs_semaphore_t      fo_alloc_lock;
+        cfs_mutex_t          fo_alloc_lock;
 
         cfs_atomic_t         fo_r_in_flight;
         cfs_atomic_t         fo_w_in_flight;
@@ -420,7 +420,6 @@ struct client_obd {
         cfs_list_t               cl_cache_waiters; /* waiting for cache/grant */
         cfs_time_t               cl_next_shrink_grant;   /* jiffies */
         cfs_list_t               cl_grant_shrink_list;  /* Timeout event list */
-        cfs_semaphore_t          cl_grant_sem;   /*grant shrink list cfs_semaphore*/
         int                      cl_grant_shrink_interval; /* seconds */
 
         /* keep track of objects that have lois that contain pages which
@@ -505,7 +504,7 @@ struct mgs_obd {
         struct super_block              *mgs_sb;
         struct dentry                   *mgs_configs_dir;
         cfs_list_t                       mgs_fs_db_list;
-        cfs_semaphore_t                  mgs_sem;
+        cfs_mutex_t                      mgs_mutex;
         cfs_proc_dir_entry_t            *mgs_proc_live;
         cfs_time_t                       mgs_start_time;
 };
@@ -520,7 +519,6 @@ struct mds_obd {
         int                              mds_max_cookiesize;
         __u64                            mds_io_epoch;
         unsigned long                    mds_atime_diff;
-        cfs_semaphore_t                  mds_epoch_sem;
         struct ll_fid                    mds_rootfid;
         cfs_dentry_t                    *mds_pending_dir;
         cfs_dentry_t                    *mds_logs_dir;
@@ -547,7 +545,6 @@ struct mds_obd {
 
         struct lustre_quota_info         mds_quota_info;
         cfs_rw_semaphore_t               mds_qonoff_sem;
-        cfs_semaphore_t                  mds_health_sem;
         unsigned long                    mds_fl_user_xattr:1,
                                          mds_fl_acl:1,
                                          mds_evict_ost_nids:1,
@@ -595,7 +592,7 @@ struct ost_obd {
         struct ptlrpc_service *ost_service;
         struct ptlrpc_service *ost_create_service;
         struct ptlrpc_service *ost_io_service;
-        cfs_semaphore_t        ost_health_sem;
+        cfs_mutex_t            ost_health_mutex;
 };
 
 struct echo_client_obd {
@@ -708,7 +705,7 @@ struct lov_obd {
         struct lov_tgt_desc   **lov_tgts;              /* sparse array */
         struct ost_pool         lov_packed;            /* all OSTs in a packed
                                                           array */
-        cfs_semaphore_t         lov_lock;
+        cfs_mutex_t             lov_lock;
         struct obd_connect_data lov_ocd;
         struct lov_qos          lov_qos;               /* qos info per lov */
         cfs_atomic_t            lov_refcount;
@@ -729,7 +726,7 @@ struct lmv_tgt_desc {
         struct obd_export      *ltd_exp;
         int                     ltd_active; /* is this target up for requests */
         int                     ltd_idx;
-        cfs_semaphore_t         ltd_fid_sem;
+        cfs_mutex_t             ltd_fid_mutex;
 };
 
 enum placement_policy {
@@ -755,7 +752,7 @@ struct lmv_obd {
         int                     max_def_easize;
         int                     max_cookiesize;
         int                     server_timeout;
-        cfs_semaphore_t         init_sem;
+        cfs_mutex_t             init_mutex;
 
         struct lmv_tgt_desc     *tgts;
         int                     tgts_size;
@@ -981,7 +978,7 @@ struct obd_llog_group {
         cfs_spinlock_t     olg_lock;
         struct obd_export *olg_exp;
         int                olg_initializing;
-        cfs_semaphore_t    olg_cat_processing;
+        cfs_mutex_t        olg_cat_processing;
 };
 
 /* corresponds to one of the obd's */
@@ -1040,7 +1037,7 @@ struct obd_device {
         struct ptlrpc_client    obd_ldlm_client; /* XXX OST/MDS only */
         /* a spinlock is OK for what we do now, may need a semaphore later */
         cfs_spinlock_t          obd_dev_lock; /* protects obd bitfield above */
-        cfs_semaphore_t         obd_dev_sem;
+        cfs_mutex_t             obd_dev_mutex;
         __u64                   obd_last_committed;
         struct fsfilt_operations *obd_fsops;
         cfs_spinlock_t          obd_osfs_lock;
diff --git a/lustre/lclient/lcommon_misc.c b/lustre/lclient/lcommon_misc.c
index 33847b3..16c301d 100644
--- a/lustre/lclient/lcommon_misc.c
+++ b/lustre/lclient/lcommon_misc.c
@@ -105,13 +105,13 @@ int cl_ocd_update(struct obd_device *host,
                 flags = cli->cl_import->imp_connect_data.ocd_connect_flags;
                 CDEBUG(D_SUPER, "Changing connect_flags: "LPX64" -> "LPX64"\n",
                        lco->lco_flags, flags);
-                cfs_mutex_down(&lco->lco_lock);
+                cfs_mutex_lock(&lco->lco_lock);
                 lco->lco_flags &= flags;
                 /* for each osc event update ea size */
                 if (lco->lco_dt_exp)
                         cl_init_ea_size(lco->lco_md_exp, lco->lco_dt_exp);
 
-                cfs_mutex_up(&lco->lco_lock);
+                cfs_mutex_unlock(&lco->lco_lock);
                 result = 0;
         } else {
                 CERROR("unexpected notification from %s %s!\n",
diff --git a/lustre/ldlm/ldlm_internal.h b/lustre/ldlm/ldlm_internal.h
index 12ff5ce..5d3bd37 100644
--- a/lustre/ldlm/ldlm_internal.h
+++ b/lustre/ldlm/ldlm_internal.h
@@ -41,9 +41,9 @@
 
 extern cfs_atomic_t ldlm_srv_namespace_nr;
 extern cfs_atomic_t ldlm_cli_namespace_nr;
-extern cfs_semaphore_t ldlm_srv_namespace_lock;
+extern cfs_mutex_t ldlm_srv_namespace_lock;
 extern cfs_list_t ldlm_srv_namespace_list;
-extern cfs_semaphore_t ldlm_cli_namespace_lock;
+extern cfs_mutex_t ldlm_cli_namespace_lock;
 extern cfs_list_t ldlm_cli_namespace_list;
 
 static inline int ldlm_res_eq(const struct ldlm_res_id *res0,
@@ -64,7 +64,7 @@ static inline cfs_list_t *ldlm_namespace_list(ldlm_side_t client)
                 &ldlm_srv_namespace_list : &ldlm_cli_namespace_list;
 }
 
-static inline cfs_semaphore_t *ldlm_namespace_lock(ldlm_side_t client)
+static inline cfs_mutex_t *ldlm_namespace_lock(ldlm_side_t client)
 {
         return client == LDLM_NAMESPACE_SERVER ?
                 &ldlm_srv_namespace_lock : &ldlm_cli_namespace_lock;
diff --git a/lustre/ldlm/ldlm_lockd.c b/lustre/ldlm/ldlm_lockd.c
index 1b80090..5ddd751 100644
--- a/lustre/ldlm/ldlm_lockd.c
+++ b/lustre/ldlm/ldlm_lockd.c
@@ -66,7 +66,7 @@ CFS_MODULE_PARM(ldlm_num_threads, "i", int, 0444,
 
 extern cfs_mem_cache_t *ldlm_resource_slab;
 extern cfs_mem_cache_t *ldlm_lock_slab;
-static cfs_semaphore_t  ldlm_ref_sem;
+static cfs_mutex_t      ldlm_ref_mutex;
 static int ldlm_refcount;
 
 struct ldlm_cb_async_args {
@@ -2300,13 +2300,13 @@ int ldlm_get_ref(void)
 {
         int rc = 0;
         ENTRY;
-        cfs_mutex_down(&ldlm_ref_sem);
+        cfs_mutex_lock(&ldlm_ref_mutex);
         if (++ldlm_refcount == 1) {
                 rc = ldlm_setup();
                 if (rc)
                         ldlm_refcount--;
         }
-        cfs_mutex_up(&ldlm_ref_sem);
+        cfs_mutex_unlock(&ldlm_ref_mutex);
 
         RETURN(rc);
 }
@@ -2314,7 +2314,7 @@ int ldlm_get_ref(void)
 void ldlm_put_ref(void)
 {
         ENTRY;
-        cfs_mutex_down(&ldlm_ref_sem);
+        cfs_mutex_lock(&ldlm_ref_mutex);
         if (ldlm_refcount == 1) {
                 int rc = ldlm_cleanup();
                 if (rc)
@@ -2324,7 +2324,7 @@ void ldlm_put_ref(void)
         } else {
                 ldlm_refcount--;
         }
-        cfs_mutex_up(&ldlm_ref_sem);
+        cfs_mutex_unlock(&ldlm_ref_mutex);
 
         EXIT;
 }
@@ -2618,9 +2618,9 @@ static int ldlm_cleanup(void)
 
 int __init ldlm_init(void)
 {
-        cfs_init_mutex(&ldlm_ref_sem);
-        cfs_init_mutex(ldlm_namespace_lock(LDLM_NAMESPACE_SERVER));
-        cfs_init_mutex(ldlm_namespace_lock(LDLM_NAMESPACE_CLIENT));
+        cfs_mutex_init(&ldlm_ref_mutex);
+        cfs_mutex_init(ldlm_namespace_lock(LDLM_NAMESPACE_SERVER));
+        cfs_mutex_init(ldlm_namespace_lock(LDLM_NAMESPACE_CLIENT));
         ldlm_resource_slab = cfs_mem_cache_create("ldlm_resources",
                                                sizeof(struct ldlm_resource), 0,
                                                CFS_SLAB_HWCACHE_ALIGN);
diff --git a/lustre/ldlm/ldlm_pool.c b/lustre/ldlm/ldlm_pool.c
index 4f5b42d..3fa9678 100644
--- a/lustre/ldlm/ldlm_pool.c
+++ b/lustre/ldlm/ldlm_pool.c
@@ -1098,16 +1098,16 @@ static int ldlm_pools_shrink(ldlm_side_t client, int nr,
         for (nr_ns = cfs_atomic_read(ldlm_namespace_nr(client));
              nr_ns > 0; nr_ns--)
         {
-                cfs_mutex_down(ldlm_namespace_lock(client));
+                cfs_mutex_lock(ldlm_namespace_lock(client));
                 if (cfs_list_empty(ldlm_namespace_list(client))) {
-                        cfs_mutex_up(ldlm_namespace_lock(client));
+                        cfs_mutex_unlock(ldlm_namespace_lock(client));
                         cl_env_reexit(cookie);
                         return 0;
                 }
                 ns = ldlm_namespace_first_locked(client);
                 ldlm_namespace_get(ns);
                 ldlm_namespace_move_locked(ns, client);
-                cfs_mutex_up(ldlm_namespace_lock(client));
+                cfs_mutex_unlock(ldlm_namespace_lock(client));
                 total += ldlm_pool_shrink(&ns->ns_pool, 0, gfp_mask);
                 ldlm_namespace_put(ns);
         }
@@ -1128,9 +1128,9 @@ static int ldlm_pools_shrink(ldlm_side_t client, int nr,
                 /*
                  * Do not call shrink under ldlm_namespace_lock(client)
                  */
-                cfs_mutex_down(ldlm_namespace_lock(client));
+                cfs_mutex_lock(ldlm_namespace_lock(client));
                 if (cfs_list_empty(ldlm_namespace_list(client))) {
-                        cfs_mutex_up(ldlm_namespace_lock(client));
+                        cfs_mutex_unlock(ldlm_namespace_lock(client));
                         /*
                          * If list is empty, we can't return any @cached > 0,
                          * that probably would cause needless shrinker
@@ -1142,7 +1142,7 @@ static int ldlm_pools_shrink(ldlm_side_t client, int nr,
                 ns = ldlm_namespace_first_locked(client);
                 ldlm_namespace_get(ns);
                 ldlm_namespace_move_locked(ns, client);
-                cfs_mutex_up(ldlm_namespace_lock(client));
+                cfs_mutex_unlock(ldlm_namespace_lock(client));
 
                 nr_locks = ldlm_pool_granted(&ns->ns_pool);
                 cancel = 1 + nr_locks * nr / total;
@@ -1181,7 +1181,7 @@ void ldlm_pools_recalc(ldlm_side_t client)
                 /*
                  * Check all modest namespaces first.
                  */
-                cfs_mutex_down(ldlm_namespace_lock(client));
+                cfs_mutex_lock(ldlm_namespace_lock(client));
                 cfs_list_for_each_entry(ns, ldlm_namespace_list(client),
                                         ns_list_chain)
                 {
@@ -1244,7 +1244,7 @@ void ldlm_pools_recalc(ldlm_side_t client)
                         }
                         ldlm_pool_setup(&ns->ns_pool, l);
                 }
-                cfs_mutex_up(ldlm_namespace_lock(client));
+                cfs_mutex_unlock(ldlm_namespace_lock(client));
         }
 
         /*
@@ -1259,9 +1259,9 @@ void ldlm_pools_recalc(ldlm_side_t client)
                  * rid of potential deadlock on client nodes when canceling
                  * locks synchronously.
                  */
-                cfs_mutex_down(ldlm_namespace_lock(client));
+                cfs_mutex_lock(ldlm_namespace_lock(client));
                 if (cfs_list_empty(ldlm_namespace_list(client))) {
-                        cfs_mutex_up(ldlm_namespace_lock(client));
+                        cfs_mutex_unlock(ldlm_namespace_lock(client));
                         break;
                 }
                 ns = ldlm_namespace_first_locked(client);
@@ -1280,7 +1280,7 @@ void ldlm_pools_recalc(ldlm_side_t client)
                 cfs_spin_unlock(&ns->ns_lock);
 
                 ldlm_namespace_move_locked(ns, client);
-                cfs_mutex_up(ldlm_namespace_lock(client));
+                cfs_mutex_unlock(ldlm_namespace_lock(client));
 
                 /*
                  * After setup is done - recalc the pool.
